# -*- coding: utf-8 -*-

# Copyright (c) 2008 - 2009 Detlev Offenbach <detlev@die-offenbachs.de>
#

"""
Module implementing the Eric Calltips configuration page.
"""

from Preferences.ConfigurationPages.ConfigurationPageBase import ConfigurationPageBase
from Ui_CallTipsEricPage import Ui_CallTipsEricPage

class CallTipsEricPage(ConfigurationPageBase, Ui_CallTipsEricPage):
    """
    Class implementing the Eric Calltips configuration page.
    """
    def __init__(self, plugin):
        """
        Constructor
        
        @param plugin reference to the plugin object
        """
        ConfigurationPageBase.__init__(self)
        self.setupUi(self)
        self.setObjectName("CallTipsEricPage")
        
        self.__plugin = plugin
        
        # set initial values
        self.calltipsCheckBox.setChecked(\
            self.__plugin.getPreferences("CalltipsEnabled"))
        self.ctContextCheckBox.setChecked(\
            self.__plugin.getPreferences("CallTipsContextShown"))
        
    def save(self):
        """
        Public slot to save the Eric Calltips configuration.
        """
        self.__plugin.setPreferences("CalltipsEnabled", 
            int(self.calltipsCheckBox.isChecked()))
        self.__plugin.setPreferences("CallTipsContextShown", 
            int(self.ctContextCheckBox.isChecked()))
