# -*- coding: utf-8 -*-

# Copyright (c) 2009 Detlev Offenbach <detlev@die-offenbachs.de>
#

"""
Module implementing a dialog for entering the create REST controller parameters.
"""

from PyQt4.QtGui import QDialog
from PyQt4.QtCore import pyqtSignature

from Ui_CreateRestControllerParametersDialog import \
    Ui_CreateRestControllerParametersDialog

class CreateRestControllerParametersDialog(QDialog, 
        Ui_CreateRestControllerParametersDialog):
    """
    Class implementing a dialog for entering the create REST controller parameters.
    """
    def __init__(self, parent = None):
        """
        Constructor
        """
        QDialog.__init__(self, parent)
        self.setupUi(self)
    
    def getData(self):
        """
        Public method to get the data.
        
        @return tuple giving the REST resource name in singular (string) and 
            plural (string) form
        """
        return (
            unicode(self.singularEdit.text()), 
            unicode(self.pluralEdit.text())
        )
